<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('entry_files', function (Blueprint $table) {
            $table->uuid('file_uuid')->unique();
            $table->enum('state', [ 'public', 'private', 'archived' ] )->default('public');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('entry_files', function (Blueprint $table) {
            //
        });
    }
};
